/*!
 * @file md3_animation.h
 *
 * Code heavely inspired by: JAVA MD3 Model Viewer - A Java based Quake 3 model viewer
 * Copyright (C) 1999 Erwin 'KLR8' Vervaet
 */

#ifndef _MD3_ANIMATION_H
#define _MD3_ANIMATION_H

#include <string>


typedef struct AnimationType
{};


/**
 * a class with metadata describing an MD3 model animation
 */
class MD3Animation
{

  public:
    MD3Animation();
    MD3Animation(std::string line);
    virtual ~MD3Animation();

    void init();

    std::string toString() { return std::string("Name: " + this->name); }


  public:
    AnimationType    type;                        //!< specifies for what parts of a model this animation is appilcable (e.g. LEGS, BOTH)
    std::string      name;                        //!< name of the animation

    int              offset;                      //!< for LEGS animation, this is the offset value to skip TORSO frames
    int              first;                       //!< first frame
    int              numFrames;                   //!< the number of frames in the anumation. < 0 means that all available frames used
    int              numLoopFrames;               //!< number of looping frames
    int              fps;                         //!< frames per second


};


#endif /* _MD3_ANIMATION_H */
